Last Comment Bug 539722 - Port |Bug 515433 - (CSP) Implement core CSP elements| to SeaMonkey
: Port |Bug 515433 - (CSP) Implement core CSP elements| to SeaMonkey
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.1a1
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
Depends on: 515433
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-14 09:10 PST by Serge Gautherie (:sgautherie)
Modified: 2010-01-22 04:08 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Package contentSecurityPolicy.js [Checkin: Comment 10] (2.25 KB, patch)
2010-01-14 09:23 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
bugspam.Callek: review+
Details | Diff | Splinter Review
(Bv1-191) Support downgrading [Checkin: Comment 11] (911 bytes, patch)
2010-01-14 09:28 PST, Serge Gautherie (:sgautherie)
bugspam.Callek: review+
kairo: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-01-14 09:10:15 PST

    
Comment 1 Serge Gautherie (:sgautherie) 2010-01-14 09:23:58 PST
Created attachment 421648 [details] [diff] [review]
(Av1) Package contentSecurityPolicy.js
[Checkin: Comment 10]
Comment 2 Serge Gautherie (:sgautherie) 2010-01-14 09:28:06 PST
Created attachment 421649 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 11]
Comment 3 Justin Wood (:Callek) 2010-01-15 21:37:26 PST
Comment on attachment 421649 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 11]

I'm not sure this downgrade path is really worth the trouble, but while your here; why not.
Comment 4 Justin Wood (:Callek) 2010-01-15 21:43:01 PST
Comment on attachment 421648 [details] [diff] [review]
(Av1) Package contentSecurityPolicy.js
[Checkin: Comment 10]

>+#ifdef MOZILLA_1_9_2_BRANCH
>+components/contentSecurityPolicy.js
>+#endif
> components/crashreporter.xpt
> #ifdef MOZILLA_1_9_2_BRANCH
> components/crypto-SDR.js
> #endif

...

> #ifndef MOZILLA_1_9_2_BRANCH
>+bin\components\contentSecurityPolicy.js
> bin\components\crypto-SDR.js
> #endif

Nit: keep groupings consistent, preferably one if[n]def.

Not ready to land until Bug 515433 does. IFF there is an new iteration there, I want to re-review this (or a new patch) before you push though. [Current at time of this review is v7.5]
Comment 5 Serge Gautherie (:sgautherie) 2010-01-16 05:58:03 PST
(In reply to comment #4)
> Nit: keep groupings consistent, preferably one if[n]def.

I'm rather keeping the list sorted: the if[n]def will be removed after branching...
Comment 6 Justin Wood (:Callek) 2010-01-16 10:30:44 PST
(In reply to comment #5)
> (In reply to comment #4)
> > Nit: keep groupings consistent, preferably one if[n]def.
> 
> I'm rather keeping the list sorted: the if[n]def will be removed after
> branching...

You convinced me, nit retracted.
Comment 7 Serge Gautherie (:sgautherie) 2010-01-21 13:02:36 PST
Comment on attachment 421648 [details] [diff] [review]
(Av1) Package contentSecurityPolicy.js
[Checkin: Comment 10]


Per your comment 4: there was a v7.6 version of the Core patch...
Comment 8 Justin Wood (:Callek) 2010-01-21 19:51:13 PST
Comment on attachment 421648 [details] [diff] [review]
(Av1) Package contentSecurityPolicy.js
[Checkin: Comment 10]

no change to this patch needed, thanks.
Comment 9 Philip Chee 2010-01-21 21:01:16 PST
> [Not ready to land until Bug 515433 does]
The relevant build config change seems to have landed.
Comment 10 Serge Gautherie (:sgautherie) 2010-01-22 04:02:37 PST
Comment on attachment 421648 [details] [diff] [review]
(Av1) Package contentSecurityPolicy.js
[Checkin: Comment 10]


http://hg.mozilla.org/comm-central/rev/8b266f10c466
Comment 11 Serge Gautherie (:sgautherie) 2010-01-22 04:08:03 PST
Comment on attachment 421649 [details] [diff] [review]
(Bv1-191) Support downgrading
[Checkin: Comment 11]


http://hg.mozilla.org/releases/comm-1.9.1/rev/ca986f28d2c1

Note You need to log in before you can comment on or make changes to this bug.